solscan logo
Register NowRegister Now

token holders

get

https://pro-api.solscan.io/v2.0/token/holders

Get the list of token holders

QUERY PARAMS

address

string

required

A token address on solana blockchain

page

number

Page number for pagination

page_size

number

Number items per page

from_amount

string

Filter holders by minimum token holding amount. The number should be in string format

to_amount

string

Filter holders by maximum token holding amount. The number should be in string format

from_value

number

Filter holders by minimum token holding value(USD).

to_value

number

Filter holders by maximum token holding value(USD).

RESPONSES

200

OK

Response Body

success

boolean

Status of Api

total

number

The total number of holders of this token

address

string

The address of the token account holding the token

amount

number

The number of amount holding

amount_str

string

The number of amount holding in string format

decimals

number

Decimals of token

owner

string

The address of the owner holding the token

rank

number

The rank of the holder, sorted from the largest

value

number

The holding value in USD

percentage

number

The holding percentage

400

Bad Request

Response Body

401

Authentication failed

Response Body

429

Too Many Requests

Response Body

500

Internal Server Error

Response Body

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples